## org.eclipse.datatools.modelbase.dbdefinition
Class TableSpaceType

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.dbdefinition.TableSpaceType

    public final class TableSpaceType

extends AbstractEnumerator

A representation of the literals of the enumeration 'Table Space Type', and utility methods for working with them.

See Also:
  `DatabaseDefinitionPackage.getTableSpaceType()`

Field Summary
`static int` `LARGE` The 'LARGE' literal value.
`static TableSpaceType` `LARGE_LITERAL` The 'LARGE' literal object.
`static int` `LOB` The 'LOB' literal value.
`static TableSpaceType` `LOB_LITERAL` The 'LOB' literal object.
`static int` `LONG` The 'LONG' literal value.
`static TableSpaceType` `LONG_LITERAL` The 'LONG' literal object.
`static int` `PERMANENT` The 'PERMANENT' literal value.
`static TableSpaceType` `PERMANENT_LITERAL` The 'PERMANENT' literal object.
`static int` `REGULAR` The 'REGULAR' literal value.
`static TableSpaceType` `REGULAR_LITERAL` The 'REGULAR' literal object.
`static int` `SYSTEM_TEMPORARY` The 'SYSTEM TEMPORARY' literal value.
`static TableSpaceType` `SYSTEM_TEMPORARY_LITERAL` The 'SYSTEM TEMPORARY' literal object.
`static int` `TEMPORARY` The 'TEMPORARY' literal value.
`static TableSpaceType` `TEMPORARY_LITERAL` The 'TEMPORARY' literal object.
`static int` `USER_TEMPORARY` The 'USER TEMPORARY' literal value.
`static TableSpaceType` `USER_TEMPORARY_LITERAL` The 'USER TEMPORARY' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Table Space Type' enumerators.

Method Summary
`static TableSpaceType` `get(int value)` Returns the 'Table Space Type' literal with the specified integer value.
`static TableSpaceType` `get(java.lang.String literal)` Returns the 'Table Space Type' literal with the specified literal value.
`static TableSpaceType` `getByName(java.lang.String name)` Returns the 'Table Space Type' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REGULAR

    public static final int REGULAR

  The 'REGULAR' literal value.

  See Also:
    `REGULAR_LITERAL`, Constant Field Values

### LOB

    public static final int LOB

  The 'LOB' literal value.

  See Also:
    `LOB_LITERAL`, Constant Field Values

### SYSTEM_TEMPORARY

    public static final int SYSTEM_TEMPORARY

  The 'SYSTEM TEMPORARY' literal value.

  See Also:
    `SYSTEM_TEMPORARY_LITERAL`, Constant Field Values

### USER_TEMPORARY

    public static final int USER_TEMPORARY

  The 'USER TEMPORARY' literal value.

  See Also:
    `USER_TEMPORARY_LITERAL`, Constant Field Values

### PERMANENT

    public static final int PERMANENT

  The 'PERMANENT' literal value.

  See Also:
    `PERMANENT_LITERAL`, Constant Field Values

### TEMPORARY

    public static final int TEMPORARY

  The 'TEMPORARY' literal value.

  See Also:
    `TEMPORARY_LITERAL`, Constant Field Values

### LONG

    public static final int LONG

  The 'LONG' literal value.

  See Also:
    `LONG_LITERAL`, Constant Field Values

### LARGE

    public static final int LARGE

  The 'LARGE' literal value.

  See Also:
    `LARGE_LITERAL`, Constant Field Values

### REGULAR_LITERAL

    public static final TableSpaceType REGULAR_LITERAL

  The 'REGULAR' literal object.

  If the meaning of 'REGULAR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `REGULAR`

### LOB_LITERAL

    public static final TableSpaceType LOB_LITERAL

  The 'LOB' literal object.

  If the meaning of 'LOB' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LOB`

### SYSTEM_TEMPORARY_LITERAL

    public static final TableSpaceType SYSTEM_TEMPORARY_LITERAL

  The 'SYSTEM TEMPORARY' literal object.

  If the meaning of 'SYSTEM TEMPORARY' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SYSTEM_TEMPORARY`

### USER_TEMPORARY_LITERAL

    public static final TableSpaceType USER_TEMPORARY_LITERAL

  The 'USER TEMPORARY' literal object.

  If the meaning of 'USER TEMPORARY' literal object isn't clear, there really should be more of a description here...

  See Also:
    `USER_TEMPORARY`

### PERMANENT_LITERAL

    public static final TableSpaceType PERMANENT_LITERAL

  The 'PERMANENT' literal object.

  If the meaning of 'PERMANENT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PERMANENT`

### TEMPORARY_LITERAL

    public static final TableSpaceType TEMPORARY_LITERAL

  The 'TEMPORARY' literal object.

  If the meaning of 'TEMPORARY' literal object isn't clear, there really should be more of a description here...

  See Also:
    `TEMPORARY`

### LONG_LITERAL

    public static final TableSpaceType LONG_LITERAL

  The 'LONG' literal object.

  If the meaning of 'LONG' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LONG`

### LARGE_LITERAL

    public static final TableSpaceType LARGE_LITERAL

  The 'LARGE' literal object.

  If the meaning of 'LARGE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LARGE`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Table Space Type' enumerators.

Method Detail

### get

    public static TableSpaceType get(java.lang.String literal)

  Returns the 'Table Space Type' literal with the specified literal value.

### getByName

    public static TableSpaceType getByName(java.lang.String name)

  Returns the 'Table Space Type' literal with the specified name.

### get

    public static TableSpaceType get(int value)

  Returns the 'Table Space Type' literal with the specified integer value.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.